Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# FAQs

Perl 5 version 16.0 documentation
Go to top
Show recent pages
Recently read

# FAQs

- perlfaq - frequently asked questions about Perl
- perlfaq1 - General Questions About Perl
- perlfaq2 - Obtaining and Learning about Perl
- perlfaq3 - Programming Tools
- perlfaq4 - Data Manipulation
- perlfaq5 - Files and Formats
- perlfaq6 - Regular Expressions
- perlfaq7 - General Perl Language Issues
- perlfaq8 - System Interaction
- perlfaq9 - Web, Email and Networking
- perlunifaq - Perl Unicode FAQ